#include "layers.h"

int write_coords(char* label) {

  int i,n;
  FILE* file;
  char filename[256];

  n = 0;

  filename[0] = 'r';
  filename[1] = '1';
  filename[2] = '-';
  filename[3] = '\0';

  strcat(filename,label);

  if((file=fopen(filename,"w"))==NULL) {

    fprintf(stderr,"can't open r1\n");
    exit(1); 

  } else {

    if(GCMD || MD) {
      for(i=0;i<nsites;i++) {
        n += fprintf(file,"%le %le %le %le %le %le\n",x[i],y[i],z[i],
                            xo[i],yo[i],zo[i]);
      }
    } else {
      for(i=0;i<nsites;i++) {
        n += fprintf(file,"%le %le %le %le %le %le\n",x[i],y[i],z[i],
                            x[i],y[i],z[i]);
      }
    }
  }

  fclose(file);

  return(n); 
}
